var _excluded = ["zIndex"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
import styled, { keyframes, css } from "styled-components";
import Flex from "../../templates/flex";
var dropKeyFrames = keyframes(["0%{opacity:0.5;transform:scale(0.8);}100%{opacity:1;transform:scale(1);}"]);
var styledAnimation = css(["opacity:0;animation:", " 0.1s forwards;animation-delay:0.01s;"], dropKeyFrames);
var Container = styled(Flex).attrs(function (_ref) {
  var _ref$zIndex = _ref.zIndex,
    zIndex = _ref$zIndex === void 0 ? 70 : _ref$zIndex,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  return _extends({
    zIndex: zIndex,
    position: "fixed"
  }, rest);
}).withConfig({
  displayName: "container__Container",
  componentId: "sc-l6u9ms-0"
})(["left:-99999px;", " ", " ", " backface-visibility:hidden;perspective:1000;transform:translate3d(0,0,0);will-change:left,top,transform;"], function (_ref2) {
  var animation = _ref2.animation;
  return animation && styledAnimation;
}, function (_ref3) {
  var hideShadow = _ref3.hideShadow;
  return !hideShadow && "box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);";
}, function (_ref4) {
  var noEvents = _ref4.noEvents;
  return !!noEvents && "pointer-events: none;";
});
export default Container;